import type { FetchOptions } from 'ofetch';
import { GraphqlMiddlewareCache } from '../helpers/ClientCache.js';
import type { GraphqlResponse } from '#nuxt-graphql-middleware/response';
import type { RequestCacheOptions } from './../types.js';
export declare function performRequest<T>(operation: string, operationName: string, method: 'get' | 'post', options: FetchOptions, cacheOptions?: RequestCacheOptions): Promise<GraphqlResponse<T>>;
declare module '#app' {
    interface NuxtApp {
        $graphqlCache?: GraphqlMiddlewareCache;
    }
}
