import { type GetQueryArgs, type QueryObjectArgs, type GetQueryResult } from './../helpers/composables.js';
import type { GraphqlResponse } from '#nuxt-graphql-middleware/response';
import type { Query } from '#nuxt-graphql-middleware/operation-types';
/**
 * Performs a GraphQL query.
 */
export declare function useGraphqlQuery<K extends keyof Query, R extends GetQueryResult<K>>(...args: GetQueryArgs<K> | [QueryObjectArgs<K>]): Promise<GraphqlResponse<R>>;
