import { type GetMutationArgs, type MutationObjectArgs, type GetMutationResult } from './../helpers/composables.js';
import type { GraphqlResponse } from '#nuxt-graphql-middleware/response';
import type { Mutation } from '#nuxt-graphql-middleware/operation-types';
/**
 * Performs a GraphQL upload mutation.
 */
export declare function useGraphqlUploadMutation<K extends keyof Mutation, R extends GetMutationResult<K>>(...args: GetMutationArgs<K> | [MutationObjectArgs<K>]): Promise<GraphqlResponse<R>>;
