import type { GraphqlResponse } from '#nuxt-graphql-middleware/response';
import { type GetMutationArgs, type MutationObjectArgs, type GetMutationResult } from './../../helpers/composables.js';
import type { Mutation } from '#nuxt-graphql-middleware/operation-types';
/**
 * Performs a GraphQL mutation.
 */
export declare function useGraphqlMutation<K extends keyof Mutation, R extends GetMutationResult<K>>(...args: GetMutationArgs<K> | [MutationObjectArgs<K>]): Promise<GraphqlResponse<R>>;
